clear
clear all

*set location of base_directory below:
local base_dir "C:\DataAppendix_Dec2014\"

local in_dir "`base_dir'\data"
local out_dir "`base_dir'\output"
local temp_dir "`base_dir'\temp"

***The files SITC_least_78_87 is based on are not included due to large file size.  Email authors for data.

use "`in_dir'\SITC_least_78_87", replace

**As in Kehoe-Ruhl (2013), exclude pairs with less than 10% of products least traded.
drop if least_products_1978<184

eststo clear
eststo: reg growth_least_78_87 growth_total_78_87, robust noconstant
esttab est* using "`out_dir'\tables\Gamma Estimate 1978-1987.txt", label title(Gamma Estimate, Kehoe-Ruhl (2013), 1978-1987 data) nodepvar b(3) noobs nostar not varlabels(growth_total_78_87 gamma) replace