clear
clear all


*set location of base_directory below:
local base_dir "C:\DataAppendix_Dec2014\"




local in_dir "`base_dir'\data"
local out_dir "`base_dir'\output"
local temp_dir "`base_dir'\temp"


use "`in_dir'\Gravity1989", replace

gen lvalue = log(value)
gen limp_gdp_nom = log(imp_gdp_nom)
gen limp_gdp_cap = log(imp_gdp_cap)
gen lexp_gdp_nom = log(exp_gdp_nom)
gen lexp_gdp_cap = log(exp_gdp_cap)
gen ltariffs = log(tariffs/100+1)
gen ldistw = log(distw)


**if dont have estout install with following command
**ssc install estout, replace

****gravity regressions
**base specification
eststo clear
eststo: reg lvalue ltariffs lexp_gdp_nom limp_gdp_nom ldistw, robust
esttab est* using "`out_dir'\tables\Table 1 Gravity1989.txt", label title(Base Specification) nodepvar b(3) se(3) nostar not order(ltariffs lexp_gdp_nom limp_gdp_nom ldistw _cons) varlabels(ltariffs tariffs lexp_gdp_nom exporter_gdp limp_gdp_nom importer_gdp ldistw distance _cons constant) replace

**full specification for robustness check
eststo clear
eststo: reg lvalue ltariffs lexp_gdp_nom limp_gdp_nom ldistw lexp_gdp_cap limp_gdp_cap  contig comlang_ethno colony, robust
esttab est* using "`out_dir'\tables\Table 1 Gravity1989.txt", label title(Full Specification - Robustness Check) nodepvar b(3) se(3) nostar not order(ltariffs lexp_gdp_nom limp_gdp_nom ldistw  lexp_gdp_cap limp_gdp_cap contig comlang_ethno colony _cons) varlabels(ltariffs tariffs lexp_gdp_nom exporter_gdp limp_gdp_nom importer_gdp ldistw distance  lexp_gdp_cap exporter_gdp_capita limp_gdp_cap importer_gdp_capita contig border comlang_ethno common_language colony colonial_relationship _cons constant) append