clear
clear matrix


*set location of base_directory below:
local base_dir "C:\DataAppendix_Dec2014\"

local in_dir "`base_dir'\data"
local out_dir "`base_dir'\output"
local temp_dir "`base_dir'\temp"

*
*load industry tariff data
*
insheet using "`in_dir'\raw\NAFTAtariffs_industry.csv", clear

keep reporter partner product tariffyear simpleaverage

reshape wide simpleaverage, i(reporter* partner* product*) j(tariffyear)

drop if reporter == partner
replace reporter = 842 if reporter == 840
replace partner = 842 if partner == 840

drop if reporter == 484

rename reporter importer
rename partner exporter
rename product isic2

rename simpleaverage1989 tariff_pre
rename simpleaverage2009 tariff_post


merge 1:1 importer exporter isic2 using "`out_dir'\NAFTA_ISIC_RESULTS"
*drop if _merge == 1
drop _merge

save "`temp_dir'\temp", replace

*
*load industry tariff data for Mexico
*
insheet using "`in_dir'\raw\NAFTAtariffs_industry_mex.csv", clear

keep reporter partner product tariffyear simpleaverage

reshape wide simpleaverage, i(reporter* partner* product*) j(tariffyear)

drop if reporter == partner
replace reporter = 842 if reporter == 840
replace partner = 842 if partner == 840

rename reporter importer
rename partner exporter
rename product isic2

rename simpleaverage1991 tariff_pre
rename simpleaverage2009 tariff_post


merge 1:1 importer exporter isic2 using "`temp_dir'\temp"
*drop if _merge == 1
drop _merge


gen tariffchange = tariff_post-tariff_pre


save "`out_dir'\NAFTA_Tariff_industry", replace

use "`out_dir'\NAFTA_Tariff_industry", replace


**alpha and beta industry estimates

eststo clear
bysort exporter importer: eststo: quietly reg growth perleast [aweight = pre_val]
esttab est* using "`out_dir'\tables\Table 3 IndustryCoef.txt", label title(Optimal Coefficients - Original - 3digitISIC) nodepvar noobs b(2) nostar not order(_cons perleast) varlabels(_cons alpha_LTP perleast beta_LTP) replace


eststo clear
bysort exporter importer: eststo: quietly reg growth tariff_pre perleast [aweight = pre_val]
esttab est* using "`out_dir'\tables\Table 3 IndustryCoef.txt", label title(Optimal Coefficients - Conditioned on Tariffs) nodepvar noobs b(2) nostar not order(_cons perleast tariff_pre) varlabels(_cons alpha_LTP perleast beta_LTP tariff_pre tariff_pre) append
