clear
clear matrix

*set location of base_directory below:
local base_dir "C:\DataAppendix_Dec2014\"

local in_dir "`base_dir'\data"
local out_dir "`base_dir'\output"
local temp_dir "`base_dir'\temp"



use "`out_dir'\NAFTA_BDS_RESULTS", replace

**optimal coefficient estimates
gen predgrowth_bf = -34.54 + 175.84 * perleast if importer == 124 & exporter == 842
replace predgrowth_bf =  -20.42 + 185.24 * perleast if importer == 842 & exporter == 124
replace predgrowth_bf =  115.16 + 286.39 * perleast if importer == 124 & exporter == 484
replace predgrowth_bf =  51.52 + 77.54 * perleast if importer == 842 & exporter == 484
replace predgrowth_bf =  254.23 + 4468.37 * perleast if importer == 484 & exporter == 124
replace predgrowth_bf =  62.31 + 265.44 * perleast if importer == 484 & exporter == 842


gen accuracy_bds =  abs(100*(growth - bdsgrowth)/abs(bdsgrowth))
gen accuracy_ltp_pred = abs(100*(growth - predgrowth)/abs(predgrowth))
gen accuracy_optimal_coef =  abs(100*(growth - predgrowth_bf)/abs(predgrowth_bf))


**
*Table 8
**

collapse (mean) accuracy* [aweight=pre_val], by(importer exporter)
order exporter importer
sort exporter importer
format accuracy* %9.1f
outsheet using "`out_dir'\tables\Table 8 Accuracy.txt", names replace